STF 准备好 STF 的前置环境以后,安装 STF 报错

归云乡 · 2019年01月10日 · 最后由 归云乡 回复于 2019年01月14日 · 1579 次阅读

用的是 vmware 的虚拟机,ubuntu18.04 版本。
执行 npm install -g stf 时,报错信息如下。
是因为版本不支持的原因嘛

共收到 7 条回复 时间 点赞

自己答一下吧,出现报错的原因是上面还有一行警告说权限不够
还有 root 权限不够的吗,有点懵逼
然后执行 sudo npm install -g stf --unsafe-perm 这个命令安装成功了

花开 回复

我瞅瞅,谢啦

运行 stf doctor 看看

Jacc 回复

现在已经没问题了,搭建完成了

怎么解决的啊我也遇到这个问题

iceworld321 回复

看上面的回复

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册